
var WrtHelper = {

	_poolResize: function() {
		var screenSize = Helper.getScreenSize();
		var height = screenSize.height;
		var width = screenSize.width;
				
		if ( width != WrtHelper._screenWidth || height != WrtHelper._screenHeight ) {
			WrtHelper._screenWidth = width;
			WrtHelper._screenHeight = height;
			
			// Trigger event.
			try {
				var fireOnThis = document.body;
				var evObj = document.createEvent("HTMLEvents");
				evObj.initEvent("resize", true, true);
				fireOnThis.dispatchEvent(evObj);
			}
			catch (e) {
				// Log the error somewhere.
			}			
		}
	},
	
	// Needed for tactileFeedback().
	getSysInfo: function() {
		if ( !WrtHelper._sysinfo ) {
			WrtHelper._sysinfo = document.getElementById("sysinfo");
			
		}
		
		return WrtHelper._sysinfo;
	},
	
	// Don't need it since all clickable items are A links. If they weren't we'd
	// need to call tactileFeedback() if the user clicked on them.
	tactileFeedback: function() {
		var sysinfo = WrtHelper.getSysInfo();
		if (sysinfo.startvibra) 
			sysinfo.startvibra(10, 10);		
	},

	startResizePoller: function() {
		if ( Helper.isLargeScreen() ) {				
			setInterval(WrtHelper._poolResize, 1000);
		}
	}

}
